//----------------------------BEGIN LICENSE----------------------------
/* 
 * Willow : the Open Source WorkFlow Project
 * Distributable under GNU LGPL license by gun.org
 *
 * Copyright (C) 2004-2010 huihoo.org 
 * Copyright (C) 2004-2010  ZosaTapo <dertyang@hotmail.com> 
 * 
 * ====================================================================
 * Project Homepage : http://www.huihoo.org/willow
 * Source Forge     : http://sourceforge.net/projects/huihoo
 * Mailing list     : willow@lists.sourceforge.net 
 */
//----------------------------END  LICENSE-----------------------------
package org.huihoo.workflow.coreImpl.usermodel;

import org.huihoo.workflow.usermodel.WorkflowCategory;


public class WorkflowCategoryImpl extends WorkflowCategory
{
	public WorkflowCategoryImpl(String uuid_, String name)
	{
		this(uuid_, name, null);
	}

	public WorkflowCategoryImpl(String uuid_, String name, String description)
	{
		super(uuid_, name, description);
	}

	public String toString()
	{
		if (getName() != null)
		{
			return "category_name=" + getName();
		}
		else
		{
			return "category_id=" + uuid;
		}
	}
}
